using System;
using Server.Items;
using Server.Misc;

namespace Server.Misc
{
    class CitizenTitles
    {
		public static string CitizenTitle( Mobile m )
		{
			string sTitle = "";	
			string myTitle = "";	

			int otitle = Utility.RandomMinMax( 1, 33 );	
			if (otitle == 1){sTitle = "of the North";}
			else if (otitle == 2){sTitle = "of the South";}
			else if (otitle == 3){sTitle = "of the East";}
			else if (otitle == 4){sTitle = "of the West";}
			else if (otitle == 5){sTitle = "of the City";}
			else if (otitle == 6){sTitle = "of the Hills";}
			else if (otitle == 7){sTitle = "of the Mountains";}
			else if (otitle == 8){sTitle = "of the Plains";}
			else if (otitle == 9){sTitle = "of the Woods";}
			else if (otitle == 10){sTitle = "of the Light";}
			else if (otitle == 11){sTitle = "of the Dark";}
			else if (otitle == 12){sTitle = "of the Night";}
			else if (otitle == 13){sTitle = "of the Sea";}
			else if (otitle == 14){sTitle = "of the Desert";}
			else if (otitle == 15){sTitle = "of the Order";}
			else if (otitle == 16){sTitle = "of the Forest";}
			else if (otitle == 17){sTitle = "of the Snow";}
			else if (otitle == 18){sTitle = "of the Coast";}
			else if (otitle == 19){sTitle = "of the Arid Wastes";}
			else if (otitle == 20){sTitle = "of the Beetling Brow";}
			else if (otitle == 21){sTitle = "of the Cyclopean City";}
			else if (otitle == 22){sTitle = "of the Dread Wilds";}
			else if (otitle == 23){sTitle = "of the Eerie Eyes";}
			else if (otitle == 24){sTitle = "of the Foetid Swamp";}
			else if (otitle == 25){sTitle = "of the Forgotten City";}
			else if (otitle == 26){sTitle = "of the Haunted Heath";}
			else if (otitle == 27){sTitle = "of the Hidden Valley";}
			else if (otitle == 28){sTitle = "of the Howling Hills";}
			else if (otitle == 29){sTitle = "of the Jagged Peaks";}
			else if (otitle == 30){sTitle = "of the Menacing Mien";}
			else if (otitle == 31){sTitle = "of the Savage Isle";}
			else if (otitle == 32){sTitle = "of the Tangled Woods";}
			else {sTitle = "of the Watchful Eyes";}

			string sColor = "Red";	
			switch( Utility.RandomMinMax( 0, 9 ) )
			{
				case 0: sColor = "Black"; break;	
				case 1: sColor = "Blue"; break;	
				case 2: sColor = "Gray"; break;	
				case 3: sColor = "Green"; break;	
				case 4: sColor = "Red"; break;	
				case 5: sColor = "Brown"; break;	
				case 6: sColor = "Orange"; break;	
				case 7: sColor = "Yellow"; break;	
				case 8: sColor = "Purple"; break;	
				case 9: sColor = "White"; break;	
			}

			string gColor = "Gold";	
			switch( Utility.RandomMinMax( 0, 11 ) )
			{
				case 0: gColor = "Gold"; break;	
				case 1: gColor = "Silver"; break;	
				case 2: gColor = "Arcane"; break;	
				case 3: gColor = "Iron"; break;	
				case 4: gColor = "Steel"; break;	
				case 5: gColor = "Emerald"; break;	
				case 6: gColor = "Ruby"; break;	
				case 7: gColor = "Bronze"; break;	
				case 8: gColor = "Jade"; break;	
				case 9: gColor = "Sapphire"; break;	
				case 10: gColor = "Copper"; break;	
				case 11: gColor = "Royal"; break;	
			}

			string kKiller = "Giants";	
			switch( Utility.RandomMinMax( 0, 12 ) )
			{
				case 0: kKiller = "Giants"; break;	
				case 1: kKiller = "Dragons"; break;	
				case 2: kKiller = "Ogres"; break;	
				case 3: kKiller = "Trolls"; break;	
				case 4: kKiller = "Daemons"; break;	
				case 5: kKiller = "Devils"; break;	
				case 6: kKiller = "Lizards"; break;	
				case 7: kKiller = "Orcs"; break;	
				case 8: kKiller = "Minotaurs"; break;	
				case 9: kKiller = "Monsters"; break;	
				case 10: kKiller = "Undead"; break;	
				case 11: kKiller = "Serpents"; break;	
				case 12: kKiller = "Vampires"; break;	
			}

			string mKiller = "Giant";	
			switch( Utility.RandomMinMax( 0, 12 ) )
			{
				case 0: mKiller = "Giant"; break;	
				case 1: mKiller = "Dragon"; break;	
				case 2: mKiller = "Ogre"; break;	
				case 3: mKiller = "Troll"; break;	
				case 4: mKiller = "Daemon"; break;	
				case 5: mKiller = "Devil"; break;	
				case 6: mKiller = "Lizard"; break;	
				case 7: mKiller = "Orc"; break;	
				case 8: mKiller = "Minotaur"; break;	
				case 9: mKiller = "Monster"; break;	
				case 10: mKiller = "Undead"; break;	
				case 11: mKiller = "Serpent"; break;	
				case 12: mKiller = "Vampire"; break;	
			}

			string aKiller = "Slayer";	
			switch( Utility.RandomMinMax( 0, 4 ) )
			{
				case 0: aKiller = "Slayer"; break;	
				case 1: aKiller = "Killer"; break;	
				case 2: aKiller = "Butcher"; break;	
				case 3: aKiller = "Executioner"; break;	
				case 4: aKiller = "Hunter"; break;	
			}

			switch ( Utility.RandomMinMax( 0, 107 ) )
			{
				case 0: myTitle = "from Above"; break;	
				case 1: myTitle = "from Afar"; break;	
				case 2: myTitle = "from Below"; break;	
				case 3: myTitle = "of the " + sColor + " Cloak"; break;	
				case 4: myTitle = "of the " + sColor + " Robe"; break;	
				case 5: myTitle = "of the " + sColor + " Order"; break;	
				case 6: myTitle = "of the " + gColor + " Shield"; break;	
				case 7: myTitle = "of the " + gColor + " Sword"; break;	
				case 8: myTitle = "of the " + gColor + " Helm"; break;	
				case 9: myTitle = sTitle; break;	
				case 10: myTitle = sTitle; break;	
				case 11: myTitle = sTitle; break;	
				case 12: myTitle = sTitle; break;	
				case 13: myTitle = sTitle; break;	
				case 14: myTitle = sTitle; break;	
				case 15: myTitle = sTitle; break;	
				case 16: myTitle = sTitle; break;	
				case 17: myTitle = sTitle; break;	
				case 18: myTitle = sTitle; break;	
				case 19: myTitle = sTitle; break;	
				case 20: myTitle = sTitle; break;	
				case 21: myTitle = sTitle; break;	
				case 22: myTitle = "the " + sColor; break;	
				case 23: myTitle = "the Adept"; break;	
				case 24: myTitle = "the Nomad"; break;	
				case 25: myTitle = "the Antiquarian"; break;	
				case 26: myTitle = "the Arcane"; break;	
				case 27: myTitle = "the Archaic"; break;	
				case 28: myTitle = "the Barbarian"; break;	
				case 29: myTitle = "the Batrachian"; break;	
				case 30: myTitle = "the Battler"; break;	
				case 31: myTitle = "the Bilious"; break;	
				case 32: myTitle = "the Bold"; break;	
				case 33: myTitle = "the Fearless"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Brave";} break;	
				case 34: myTitle = "the Savage"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Civilized";} break;	
				case 35: myTitle = "the Collector"; break;	
				case 36: myTitle = "the Cryptic"; break;	
				case 37: myTitle = "the Curious"; break;	
				case 38: myTitle = "the Dandy"; break;	
				case 39: myTitle = "the Daring"; break;	
				case 40: myTitle = "the Decadent"; break;	
				case 41: myTitle = "the Delver"; break;	
				case 42: myTitle = "the Distant"; break;	
				case 43: myTitle = "the Eldritch"; break;	
				case 44: myTitle = "the Exotic"; break;	
				case 45: myTitle = "the Explorer"; break;	
				case 46: myTitle = "the Fair"; break;	
				case 47: myTitle = "the Strong"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Weak";} break;	
				case 48: myTitle = "the Fickle"; break;	
				case 49:
						int iDice = Utility.RandomMinMax( 1, 10 );	
						if (iDice == 1){myTitle = "the First";}
						else if (iDice == 2){myTitle = "the Second";}
						else if (iDice == 3){myTitle = "the Third";}
						else if (iDice == 4){myTitle = "the Fourth";}
						else if (iDice == 5){myTitle = "the Fifth";}
						else if (iDice == 6){myTitle = "the Sixth";}
						else if (iDice == 7){myTitle = "the Seventh";}
						else if (iDice == 8){myTitle = "the Eighth";}
						else if (iDice == 9){myTitle = "the Ninth";}
						else {myTitle = "the Tenth";}
						break;	
				case 50: myTitle = "the Foul"; break;	
				case 51: myTitle = "the Furtive"; break;	
				case 52: myTitle = "the Gambler"; break;	
				case 53: myTitle = "the Ghastly"; break;	
				case 54: myTitle = "the Gibbous"; break;	
				case 55: myTitle = "the Great"; break;	
				case 56: myTitle = "the Grizzled"; break;	
				case 57: myTitle = "the Gruff"; break;	
				case 58: myTitle = "the Spiritual"; break;	
				case 59: myTitle = "the Haunted"; break;	
				case 60: myTitle = "the Calm"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Frantic";} break;	
				case 61:
						int iDice2 = Utility.RandomMinMax( 1, 4 );	
						if (iDice2 == 1){myTitle = "the Hooded";}
						else if (iDice2 == 2){myTitle = "the Cloaked";}
						else if (iDice2 == 3){myTitle = "the Cowled";}
						else {myTitle = "the Robed";}
						break;	
				case 62: myTitle = "the Hunter"; break;	
				case 63: myTitle = "the Imposing"; break;	
				case 64: myTitle = "the Irreverent"; break;	
				case 65: myTitle = "the Loathsome"; break;	
				case 66:
						int iDice3 = Utility.RandomMinMax( 1, 3 );	
						if (iDice3 == 1){myTitle = "the Quiet";}
						else if (iDice3 == 2){myTitle = "the Silent";}
						else {myTitle = "the Loud";}
						break;	
				case 67: myTitle = "the Lovely"; break;	
				case 68: myTitle = "the Mantled"; break;	
				case 69: myTitle = "the Masked"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Veiled";} break;	
				case 70: myTitle = "the Merciful"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Merciless";} break;	
				case 71: myTitle = "the Mercurial"; break;	
				case 72: myTitle = "the Mighty"; break;	
				case 73: myTitle = "the Morose"; break;	
				case 74: myTitle = "the Mutable"; break;	
				case 75: myTitle = "the Mysterious"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Unknown";} break;	
				case 76: myTitle = "the Obscure"; break;	
				case 77: myTitle = "the Old"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Young";} break;	
				case 78: myTitle = "the Ominous"; break;	
				case 79: myTitle = "the Peculiar"; break;	
				case 80: myTitle = "the Perceptive"; break;	
				case 81: myTitle = "the Pious"; break;	
				case 82: myTitle = "the Quick"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Slow";} break;	
				case 83: myTitle = "the Ragged"; break;	
				case 84: myTitle = "the Ready"; break;	
				case 85: myTitle = "the Rough"; break;	
				case 86: myTitle = "the Rugose"; break;	
				case 87: myTitle = "the Scarred"; break;	
				case 88: myTitle = "the Searcher"; break;	
				case 89: myTitle = "the Shadowy"; break;	
				case 90: myTitle = "the Short"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Tall";} break;	
				case 91: myTitle = "the Steady"; break;	
				case 92: myTitle = "the Uncanny"; break;	
				case 93: myTitle = "the Unexpected"; break;	
				case 94: myTitle = "the Unknowable"; break;	
				case 95: myTitle = "the Verbose"; break;	
				case 96: myTitle = "the Vigorous"; break;	
				case 97: myTitle = "the Traveler"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Wanderer";} break;	
				case 98: myTitle = "the Wary"; break;	
				case 99: myTitle = "the Weird"; break;	
				case 100: myTitle = "the Steady"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Unready";} break;	
				case 101: myTitle = "the Gentle"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Cruel";} break;	
				case 102: myTitle = "the Lost"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Exiled";} break;	
				case 103: myTitle = "the Careless"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Clumsy";} break;	
				case 104: myTitle = "the Hopeful"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Trustful";} break;	
				case 105: myTitle = "the Angry"; if (Utility.RandomMinMax( 1, 2 ) == 1){myTitle = "the Timid";} break;	
				case 106: myTitle = "the " + aKiller + " of " + kKiller; break;	
				case 107: myTitle = "the " + mKiller + " " + aKiller; break;	
			}
			return myTitle;	
		}
	}
}